Package io.dapr.config

# Class IntegerProperty

java.lang.Object
io.dapr.config.Property<Integer>
io.dapr.config.IntegerProperty

public class IntegerProperty extends Property<Integer>
Integer configuration property.

## Method Summary

Modifier and Type
Method
Description
`protected Integer`
`parse(String value)`
Parses the value to the specific type.

### Methods inherited from class io.dapr.config.Property

`get, get, getEnvName, getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

protected Integer parse(String value)
Parses the value to the specific type.

Specified by:
  `parse` in class `Property<Integer>`
Parameters:
  `value` - String value to be parsed.
Returns:
  Value in the specific type.